Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 23 Nov 2017, 05:38
All times are UTC - 4
 Forum index » House Training » Beginners Help ( Start Here)
geeqie and dependecies
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [3 Posts]  
Author Message
mmz

Joined: 06 Oct 2017
Posts: 4

PostPosted: Fri 06 Oct 2017, 07:21    Post subject:  geeqie and dependecies  

Hi all,
I'm new to puppy linux and I'm a bit confusing using ppm trying to install some packages.

I'm trying to install geeqie on lucid puppy but I'm having some problems.

1) I can't find geeqie in puppy repo, I need to configure ppm to use ubuntu repo to find it. But...
2) When I try to install geeqie_1.0~beta2-9 the installation fails because of broken link. The strange thing is that if I test link the result is OK! Every single packages found using examine dependecies fails to download.
3) I try to update the repo list (configure ppm --> update database) and ppm update only 1 repo that is always archive.ubuntu.com also if I selected other repo (like puppy-5-official and so on).

I googled a bit and found a geeqie pet (geeqie-1.0-i486-3.pet) and tried to install it. The installation works but geeqie doesn't Crying or Very sad because:
Code:
geeqie: error while loading shared libraries: libpng14.so.14: cannot open shared object file: No such file or directory


I tried some work around found in some forums, but I can't reach my goal Sad

Anyone can help?

The main problems are 2 then:
1) How to install geeqie
2) How to update correctly ppm so it doesn't say me broken link anymore

Thanks
Back to top
View user's profile Send private message 
mmz

Joined: 06 Oct 2017
Posts: 4

PostPosted: Fri 06 Oct 2017, 08:06    Post subject:  

Just found an hint... I've edited the DISTRO_COMPAT_REPOS file and replaced archive.ubuntu with old-releases.ubuntu in all the urls of the ubuntu repo. I saved the file and updated db... it's updating all the repos now, could be that if just a link is broken it doesn't update also the following... weird.

Anyway, the update is finished, but geeqie can't install as before... it seems to look for the file always at archive.ubuntu.com... I don't know what to do Neutral
Back to top
View user's profile Send private message 
mmz

Joined: 06 Oct 2017
Posts: 4

PostPosted: Fri 06 Oct 2017, 08:20    Post subject:  

Ok, I've missed one substitution... now geeqie is installed Laughing
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [3 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Beginners Help ( Start Here)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0249s ][ Queries: 14 (0.0032s) ][ GZIP on ]